Subject: Re: git /objects directory created 755 by default?

From: Andreas Ericsson <[email-masked]>
Date: Thu, 22 Dec 2005 10:45:53 +0100

Johannes Schindelin wrote:
> Hi,
> 
> On Wed, 21 Dec 2005, Junio C Hamano wrote:
> 
> 
>>Johannes Schindelin <[email-masked]> writes:
>>
>>
>>>If you don't use git-shell, because the same machine is used for other 
>>>purposes, it makes sense to introduce
>>>
>>>	[core]
>>>		umask = 0002
>>
>>I agree the setting should not be limited to git-shell, but I do
>>not think setting "umask" from git configuration is the right
>>way either.  For files and directories under $GIT_DIR, maybe
>>imposing the policy git configuration file has is OK, but I
>>think honoring the user's umask is the right thing for working
>>tree files.
> 
> 
> As we worked out in another thread, you should not have a working 
> directory when you write-share the repository.
> 

Which thread was that? I see no particular problem with having a working 
directory in a write-shared repo. The same care has to be taken there as 
everywhere (pull before push), but that's nothing new.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231